package com.yiqi.order.domain.vo.weapp;

import com.google.gson.annotations.SerializedName;
import com.wechat.pay.java.service.payments.app.model.PrepayWithRequestPaymentResponse;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xiaohei
 * @date 2024/1/3
 */
@Data
public class AppPayRespVO {

    @ApiModelProperty("支付宝app支付返回值")
    private String orderStr;

    private String appid;

    private String partnerId;

    private String prepayId;

    private String packageVal;

    private String nonceStr;

    private String timestamp;

    private String sign;


    public AppPayRespVO() {
    }

    public AppPayRespVO(String orderStr) {
        this.orderStr = orderStr;
    }

    public AppPayRespVO(PrepayWithRequestPaymentResponse prepayWithRequestPaymentResponse){
        this.appid = prepayWithRequestPaymentResponse.getAppid();
        this.partnerId = prepayWithRequestPaymentResponse.getPartnerId();
        this.prepayId = prepayWithRequestPaymentResponse.getPrepayId();
        this.packageVal = prepayWithRequestPaymentResponse.getPackageVal();
        this.nonceStr = prepayWithRequestPaymentResponse.getNonceStr();
        this.timestamp = prepayWithRequestPaymentResponse.getTimestamp();
        this.sign = prepayWithRequestPaymentResponse.getSign();
    }


}
